Methods in EJ2 JavaScript TextArea Control

25 Mar 20249 minutes to read

This section outlines the methods available for interacting with the TextArea control.

FocusIn method

The focusIn method in the TextArea, is used to set focus to the textarea element, enabling user interaction.

By calling the focusIn method, you can programmatically set focus to the TextArea control, allowing users to interact with it via keyboard input or other means.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea({
    placeholder: 'Enter your comments'
});
// Render initialized TextArea.
textareaObj.appendTo('#default');

document.getElementById('btn').onclick = function () {
    // use focusIn method to focus TextArea
    textareaObj.focusIn();
};
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 TextArea</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 TextArea Components">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-inputs/styles/material.css" rel="stylesheet">

    <script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>

    <div id='container'>
        <div class='wrap'>
            <div id="input-container">
                <textarea id="default"></textarea>
            </div>
            <div>
                <button id="btn">Focus-in</button>
            </div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

FocusOut method

The focusOut method in the TextArea control is used to remove focus from the textarea element, ending user interaction.
This method is beneficial for scenarios where user need to programmatically remove focus from the TextArea control, such as after completing a specific task or when navigating to another element in the application.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea({
    placeholder: 'Enter your comments'
});
// Render initialized TextArea.
textareaObj.appendTo('#default');

document.getElementById('btn').onclick = function () {
    // use focusOut method to remove focus from TextArea
    textareaObj.focusOut();
};
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 TextArea</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 TextArea Components">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-inputs/styles/material.css" rel="stylesheet">

    <script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>

    <div id='container'>
        <div class='wrap'>
            <div id="input-container">
                <textarea id="default"></textarea>
            </div>
            <div>
                <button id="btn">Focus-Out</button>
            </div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

GetPersistData method

The getPersistData method in the TextArea control retrieves the properties that need to be maintained in the persisted state.
This method returns an object containing the properties to be persisted, which can include various configuration options and state information of the TextArea control.

// Initialize the TextArea control.
var textareaObj = new ej.inputs.TextArea({
    placeholder: 'Enter your comments'
});
// Render initialized TextArea.
textareaObj.appendTo('#default');

document.getElementById('btn').onclick = function () {
    // use getPersistData method in TextArea
    var data = textareaObj.getPersistData();
};
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 TextArea</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 TextArea Components">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-inputs/styles/material.css" rel="stylesheet">

    <script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>

    <div id='container'>
        <div class='wrap'>
            <div id="input-container">
                <textarea id="default"></textarea>
            </div>
            <div>
                <button id="btn">Get Persist-data</button>
            </div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Methods in Angular TextArea Component

27 Apr 20246 minutes to read

This section outlines the methods available for interacting with the TextArea component.

FocusIn method

The focusIn method in the TextArea, is used to set focus to the textarea element, enabling user interaction.

By calling the focusIn method, you can programmatically set focus to the TextArea component, allowing users to interact with it via keyboard input or other means.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import {TextAreaModule} from '@syncfusion/ej2-angular-inputs'



import { Component, ViewChild } from '@angular/core';
import { TextAreaComponent } from '@syncfusion/ej2-angular-inputs';

@Component({
imports: [
        
        TextAreaModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="wrap">
                <div class='textarea'>
                <ejs-textarea #default id="default"></ejs-textarea>
                <br/>
                <button id="button">Focus-in</button>
                </div>
              </div>`
})

export class AppComponent { 
  @ViewChild('default')
    private textareaObj?: TextAreaComponent;
    ngAfterViewInit(): void {
      (document.getElementById('button') as HTMLElement).onclick = () => {
        this.textareaObj?.focusIn();
      }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

FocusOut method

The focusOut method in the TextArea component is used to remove focus from the textarea element, ending user interaction.
This method is beneficial for scenarios where user need to programmatically remove focus from the TextArea component, such as after completing a specific task or when navigating to another element in the application.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import {TextAreaModule} from '@syncfusion/ej2-angular-inputs'



import { Component, ViewChild } from '@angular/core';
import { TextAreaComponent } from '@syncfusion/ej2-angular-inputs';

@Component({
imports: [
        
        TextAreaModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="wrap">
                <div class='textarea'>
                <ejs-textarea #default id="default"></ejs-textarea>
                <br/>
                <button id="button">Focus-Out</button>
                </div>
              </div>`
})

export class AppComponent { 
  @ViewChild('default')
    private textareaObj?: TextAreaComponent;
    ngAfterViewInit(): void {
      (document.getElementById('button') as HTMLElement).onclick = () => {
        this.textareaObj?.focusOut();
      }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

GetPersistData method

The getPersistData method in the TextArea component retrieves the properties that need to be maintained in the persisted state.
This method returns an object containing the properties to be persisted, which can include various configuration options and state information of the TextArea component.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import {TextAreaModule} from '@syncfusion/ej2-angular-inputs'



import { Component, ViewChild } from '@angular/core';
import { TextAreaComponent } from '@syncfusion/ej2-angular-inputs';

@Component({
imports: [
        
        TextAreaModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="wrap">
                <div class='textarea'>
                <ejs-textarea #default id="default"></ejs-textarea>
                <br/>
                <button id="button">Get Persist-data</button>
                </div>
              </div>`
})

export class AppComponent { 
  @ViewChild('default')
    private textareaObj?: TextAreaComponent;
    ngAfterViewInit(): void {
      (document.getElementById('button') as HTMLElement).onclick = () => {
        this.textareaObj?.getPersistData();
      }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Methods in Vue TextArea Component

25 May 20248 minutes to read

This section outlines the methods available for interacting with the TextArea component.

FocusIn method

The focusIn method in the TextArea, is used to set focus to the textarea element, enabling user interaction.

By calling the focusIn method, you can programmatically set focus to the TextArea component, allowing users to interact with it via keyboard input or other means.

<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id="default" ref="textareaRef"></ejs-textarea>
      <br />
      <button id="button">Focus-in</button>
    </div>
  </div>
</template>
<script setup>
import { TextAreaComponent as EjsTextarea } from '@syncfusion/ej2-vue-inputs';
import { onMounted, ref } from 'vue';

const textareaRef = ref(null);

onMounted(() => {
  document.getElementById('button').onclick = () => {
  textareaRef.value.focusIn();
  };
});

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>
<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id="default" ref="textareaRef"></ejs-textarea>
      <br />
      <button id="button">Focus-in</button>
    </div>
  </div>
</template>
<script>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
  name: "App",
  components: {
    "ejs-textarea": TextAreaComponent
  },
  data: function () {
    return {}
  },
  mounted: function () {
    document.getElementById('button').onclick = () => {
      this.$refs.textareaRef.focusIn();
    };
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>

FocusOut method

The focusOut method in the TextArea component is used to remove focus from the textarea element, ending user interaction.
This method is beneficial for scenarios where user need to programmatically remove focus from the TextArea component, such as after completing a specific task or when navigating to another element in the application.

<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id="default" ref="textareaRef"></ejs-textarea>
      <br />
      <button id="button">Focus-Out</button>
    </div>
  </div>
</template>
<script setup>
import { TextAreaComponent as EjsTextarea } from '@syncfusion/ej2-vue-inputs';
import { onMounted, ref } from 'vue';
const textareaRef = ref(null);
onMounted(() => {
  document.getElementById('button').onclick = () => {
    textareaRef.value.focusOut();
  };
});
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>
<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id="default" ref="textareaRef"></ejs-textarea>
      <br />
      <button id="button">Focus-Out</button>
    </div>
  </div>
</template>
<script>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
  name: "App",
  components: {
    "ejs-textarea": TextAreaComponent
  },
  data: function () {
    return {}
  },
  mounted: function () {
    document.getElementById('button').onclick = () => {
      this.$refs.textareaRef.focusOut();
    };
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>

GetPersistData method

The getPersistData method in the TextArea component retrieves the properties that need to be maintained in the persisted state.
This method returns an object containing the properties to be persisted, which can include various configuration options and state information of the TextArea component.

<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id="default" ref="textareaRef"></ejs-textarea>
      <br />
      <button id="button">Get Persist-data</button>
    </div>
  </div>
</template>
<script setup>
import { TextAreaComponent as EjsTextarea } from '@syncfusion/ej2-vue-inputs';
import { onMounted, ref } from 'vue';

const textareaRef = ref(null);

onMounted(() => {
  document.getElementById('button').onclick = () => {
    textareaRef.value.ej2Instances.getPersistData();
  };
});

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>
<template>
  <div class='wrap'>
    <div id='input-container'>
      <ejs-textarea id="default" ref="textareaRef"></ejs-textarea>
      <br />
      <button id="button">Get Persist-data</button>
    </div>
  </div>
</template>
<script>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
  name: "App",
  components: {
    "ejs-textarea": TextAreaComponent
  },
  data: function () {
    return {}
  },
  mounted: function () {
    document.getElementById('button').onclick = () => {
      this.$refs.textareaRef.ej2Instances.getPersistData();
    };
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>

HelpBot Assistant

How can I help you?

Methods in React TextArea Component

21 Feb 20268 minutes to read

This section outlines the methods available for interacting with the TextArea component.

FocusIn method

The focusIn method programmatically sets focus to the textarea element, enabling user interaction via keyboard or other input methods.

// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render TextArea.
function App() {
    let textareaInstance;

    function onButtonClick() {
        // use focusIn method to focus TextArea
        textareaInstance.focusIn();
    }

    return (
        <div className='wrap'>
            <TextAreaComponent id='default' ref={(scope) => { textareaInstance = scope }}></TextAreaComponent>
            <br/>
            <button id="button" onClick={onButtonClick}>Focus-in</button>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('input-container'));
// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render TextArea.
function App() {
    let textareaInstance;

    function onButtonClick() {
        // use focusIn method to focus TextArea
        textareaInstance.focusIn();
    }

    return (
        <div className='wrap'>
            <TextAreaComponent id='default' ref={(scope) => { textareaInstance = scope }}></TextAreaComponent>
            <br/>
            <button id="button" onClick={onButtonClick}>Focus-in</button>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

FocusOut method

The focusOut method removes focus from the textarea element, ending user interaction. Use this method to programmatically remove focus after completing a task or when navigating to another element.

// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render TextArea.
function App() {
    let textareaInstance;

    function onButtonClick() {
        // use focusOut method to remove focus from the TextArea
        textareaInstance.focusOut();
    }

    return (
        <div className='wrap'>
            <TextAreaComponent id='default' ref={(scope) => { textareaInstance = scope }}></TextAreaComponent>
            <br/>
            <button id="button" onClick={onButtonClick}>Focus-Out</button>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('input-container'));
// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render TextArea.
function App() {
    let textareaInstance;

    function onButtonClick() {
        // use focusOut method to remove focus from the TextArea
        textareaInstance.focusOut();
    }

    return (
        <div className='wrap'>
            <TextAreaComponent id='default' ref={(scope) => { textareaInstance = scope }}></TextAreaComponent>
            <br/>
            <button id="button" onClick={onButtonClick}>Focus-Out</button>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));

GetPersistData method

The getPersistData method retrieves properties needed for persistence state. It returns an object containing configuration options and state information to maintain across sessions.

// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render TextArea.
function App() {
    let textareaInstance;

    function onButtonClick() {
        // use getPersistData method in TextArea
        textareaInstance.getPersistData();
    }

    return (
        <div className='wrap'>
            <TextAreaComponent id='default' ref={(scope) => { textareaInstance = scope }}></TextAreaComponent>
            <br/>
            <button id="button" onClick={onButtonClick}>Get Persist-data</button>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('input-container'));
// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render TextArea.
function App() {
    let textareaInstance;

    function onButtonClick() {
        // use getPersistData method in TextArea
        textareaInstance.getPersistData();
    }

    return (
        <div className='wrap'>
            <TextAreaComponent id='default' ref={(scope) => { textareaInstance = scope }}></TextAreaComponent>
            <br/>
            <button id="button" onClick={onButtonClick}>Get Persist-data</button>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));